package mold;

import java.util.HashMap;
import java.util.HashSet;

/*
*  SD_PBSTools_HelditemNamesクラス
*
*  持ち物について、PokemonShowdown!上での名前とPBSTools上での名前を相互変換するクラスです。
*  ただし、効果の無い持ち物については、任意の効果の無い持ち物を返却します。
*  また、メールに関しては、２つ目以降は効果の無い持ち物として扱います。
*
*  変更履歴
*  2021/07/03 新規作成
*
*/

public class SD_PBSTools_HelditemNames {

	private String SDPBSToolsList[][] = new String[2][42];
	public HashMap<String, String> SDPBSToolsMap = new HashMap<String, String>();
	public HashMap<String, String> PBSToolsSDMap = new HashMap<String, String>();
	private int MailCount = 0;
	public final String SD_MAIL_STR = "Mail";
	public String PBSToolsMailList[] = new String[10];
	public HashSet<String> PBSToolsMailSet = new HashSet<String>();
	private int NoEffectCount = 0;
	public String SDNoEffectList6[] = new String[6];
	public String PBSToolsNoEffectList6[] = new String[6];

	/* デフォルトコンストラクタ：HashMap等の作成 */
    public SD_PBSTools_HelditemNames() {

    	SDPBSToolsList[0][0] = "Bright Powder"; SDPBSToolsList[1][0] = "ひかりのこな";
    	SDPBSToolsList[0][1] = "Lucky Punch"; SDPBSToolsList[1][1] = "ラッキーパンチ";
    	SDPBSToolsList[0][2] = "Metal Powder"; SDPBSToolsList[1][2] = "メタルパウダー";
    	SDPBSToolsList[0][3] = "Quick Claw"; SDPBSToolsList[1][3] = "せんせいのツメ";
    	SDPBSToolsList[0][4] = "PSN Cure Berry"; SDPBSToolsList[1][4] = "どくけしのみ";
    	SDPBSToolsList[0][5] = "Soft Sand"; SDPBSToolsList[1][5] = "やわらかいすな";
    	SDPBSToolsList[0][6] = "Sharp Beak"; SDPBSToolsList[1][6] = "するどいくちばし";
    	SDPBSToolsList[0][7] = "PRZ Cure Berry"; SDPBSToolsList[1][7] = "まひなおしのみ";
    	SDPBSToolsList[0][8] = "Burnt Berry"; SDPBSToolsList[1][8] = "やけたきのみ";
    	SDPBSToolsList[0][9] = "Ice Berry"; SDPBSToolsList[1][9] = "こおったきのみ";
    	SDPBSToolsList[0][10] = "Poison Barb"; SDPBSToolsList[1][10] = "どくバリ";
    	SDPBSToolsList[0][11] = "King's Rock"; SDPBSToolsList[1][11] = "おうじゃのしるし";
    	SDPBSToolsList[0][12] = "Bitter Berry"; SDPBSToolsList[1][12] = "にがいきのみ";
    	SDPBSToolsList[0][13] = "Mint Berry"; SDPBSToolsList[1][13] = "はっかのみ";
    	SDPBSToolsList[0][14] = "Silver Powder"; SDPBSToolsList[1][14] = "ぎんのこな";
    	SDPBSToolsList[0][15] = "Mystic Water"; SDPBSToolsList[1][15] = "しんぴのしずく";
    	SDPBSToolsList[0][16] = "Twisted Spoon"; SDPBSToolsList[1][16] = "まがったスプーン";
    	SDPBSToolsList[0][17] = "Black Belt"; SDPBSToolsList[1][17] = "くろおび";
    	SDPBSToolsList[0][18] = "Black Glasses"; SDPBSToolsList[1][18] = "くろいめがね";
    	SDPBSToolsList[0][19] = "Pink Bow"; SDPBSToolsList[1][19] = "ピンクのリボン";
    	SDPBSToolsList[0][20] = "Stick"; SDPBSToolsList[1][20] = "ながねぎ";
    	SDPBSToolsList[0][21] = "Never-Melt Ice"; SDPBSToolsList[1][21] = "とけないこおり";
    	SDPBSToolsList[0][22] = "Magnet"; SDPBSToolsList[1][22] = "じしゃく";
    	SDPBSToolsList[0][23] = "Miracle Berry"; SDPBSToolsList[1][23] = "きせきのみ";
    	SDPBSToolsList[0][24] = "Spell Tag"; SDPBSToolsList[1][24] = "のろいのおふだ";
    	SDPBSToolsList[0][25] = "Miracle Seed"; SDPBSToolsList[1][25] = "きせきのタネ";
    	SDPBSToolsList[0][26] = "Thick Club"; SDPBSToolsList[1][26] = "ふといホネ";
    	SDPBSToolsList[0][27] = "Focus Band"; SDPBSToolsList[1][27] = "きあいのハチマキ";
    	SDPBSToolsList[0][28] = "Hard Stone"; SDPBSToolsList[1][28] = "かたいいし";
    	SDPBSToolsList[0][29] = "Charcoal"; SDPBSToolsList[1][29] = "もくたん";
    	SDPBSToolsList[0][30] = "Berry Juice"; SDPBSToolsList[1][30] = "きのみジュース";
    	SDPBSToolsList[0][31] = "Scope Lens"; SDPBSToolsList[1][31] = "ピントレンズ";
    	SDPBSToolsList[0][32] = "Metal Coat"; SDPBSToolsList[1][32] = "メタルコート";
    	SDPBSToolsList[0][33] = "Dragon Fang"; SDPBSToolsList[1][33] = "りゅうのキバ";
    	SDPBSToolsList[0][34] = "Leftovers"; SDPBSToolsList[1][34] = "たべのこし";
    	SDPBSToolsList[0][35] = "Mystery Berry"; SDPBSToolsList[1][35] = "ふしぎなきのみ";
    	SDPBSToolsList[0][36] = "Dragon Scale"; SDPBSToolsList[1][36] = "りゅうのウロコ";
    	SDPBSToolsList[0][37] = "Berserk Gene"; SDPBSToolsList[1][37] = "はかいのいでんし";
    	SDPBSToolsList[0][38] = "Light Ball"; SDPBSToolsList[1][38] = "でんきだま";
    	SDPBSToolsList[0][39] = "Polkadot Bow"; SDPBSToolsList[1][39] = "みずたまリボン";
    	SDPBSToolsList[0][40] = "Berry"; SDPBSToolsList[1][40] = "きのみ";
    	SDPBSToolsList[0][41] = "Gold Berry"; SDPBSToolsList[1][41] = "おうごんのみ";

    	for (int i = 0;i < 42; i++) {
    		SDPBSToolsMap.put(SDPBSToolsList[0][i],SDPBSToolsList[1][i]);
    		PBSToolsSDMap.put(SDPBSToolsList[1][i],SDPBSToolsList[0][i]);
    	}

    	PBSToolsMailList[0] = "はながらボール";
    	PBSToolsMailList[1] = "なみのりメール";
    	PBSToolsMailList[2] = "みずいろメール";
    	PBSToolsMailList[3] = "にがおえメール";
    	PBSToolsMailList[4] = "ラブリーメール";
    	PBSToolsMailList[5] = "ブイブイメール";
    	PBSToolsMailList[6] = "へんしんメール";
    	PBSToolsMailList[7] = "あおぞらメール";
    	PBSToolsMailList[8] = "おんぷメール";
    	PBSToolsMailList[9] = "まぼろしメール";

    	for (int i = 0;i < 10; i++) {
    		PBSToolsMailSet.add(PBSToolsMailList[i]);
    	}

    	SDNoEffectList6[0] = "Master Ball";
    	SDNoEffectList6[1] = "Ultra Ball";
    	SDNoEffectList6[2] = "Great Ball";
    	SDNoEffectList6[3] = "Poke Ball";
    	SDNoEffectList6[4] = "Moon Stone";
    	SDNoEffectList6[5] = "Fire Stone";

    	PBSToolsNoEffectList6[0] = "マスターボール";
    	PBSToolsNoEffectList6[1] = "ハイパーボール";
    	PBSToolsNoEffectList6[2] = "スーパーボール";
    	PBSToolsNoEffectList6[3] = "モンスターボール";
    	PBSToolsNoEffectList6[4] = "カビチュウ";
    	PBSToolsNoEffectList6[5] = "じてんしゃ";

    }

	/* PokemonShowdown!上の名前からPBSTools上の名前を取得するメソッド
	 *   引数　：PokemonShowdown!上の名前（String）
	 *   戻り値：PBSTools上の名前（String）
	 *   例外　：無し（持ち物名に不正があっても例外を出さずに任意の効果無し持ち物とみなして先に進む）
	 */
    public String SDToPBSTools(String inStr) {
    	String outStr;
    	outStr = SDPBSToolsMap.get(inStr);
    	if (outStr == null) {
    		if (inStr.equals(SD_MAIL_STR)) {
    			outStr = PBSToolsMailList[MailCount];
    			MailCount = (MailCount + 1) % 6;
    		} else {
    			outStr = PBSToolsNoEffectList6[NoEffectCount];
    			NoEffectCount = (NoEffectCount + 1) % 6;
    		}
    	}
    	return outStr;
    }

	/* PokemonShowdown!上の名前からPBSTools上の名前を取得するメソッド
	 *   引数　：PokemonShowdown!上の名前（String）
	 *   戻り値：PBSTools上の名前（String）
	 *   例外　：無し（持ち物名に不正があっても例外を出さずに任意の効果無し持ち物とみなして先に進む）
	 */
    public String PBSToolsToSD(String inStr) {
    	String outStr;
    	outStr = PBSToolsSDMap.get(inStr);
    	if (outStr == null) {
    		if (PBSToolsMailSet.contains(inStr) && MailCount == 0) {
    			outStr = SD_MAIL_STR;
    			MailCount = (MailCount + 1) % 6;
    		} else {
    			outStr = SDNoEffectList6[NoEffectCount];
    			NoEffectCount = (NoEffectCount + 1) % 6;
    		}
    	}
    	return outStr;
    }

	/* カウンターリセットメソッド（パーティが変わるタイミングで呼び出し）
	 *   引数　：無し
	 *   戻り値：無し
	 *   例外　：無し
	 */
    public void counterReset() {
    	MailCount = 0;
    	NoEffectCount = 0;
    }

}
