package mold;

import java.util.HashMap;

/*
*  SD_PBSTools_MoveNamesクラス
*
*  技について、PokemonShowdown!上での名前とPBSTools上での名前を相互変換するクラスです。
*
*  変更履歴
*  2021/07/03 新規作成
*  2021/07/06 Hidden Powerのタイプが指定される記法に対応
*
*/

public class SD_PBSTools_MoveNames {

	private String SDPBSToolsList[][] = new String[2][251];
	public HashMap<String, String> SDPBSToolsMap = new HashMap<String, String>();
	public HashMap<String, String> PBSToolsSDMap = new HashMap<String, String>();

	/* デフォルトコンストラクタ：HashMapの作成 */
    public SD_PBSTools_MoveNames() {

    	SDPBSToolsList[0][0] = "Pound"; SDPBSToolsList[1][0] = "はたく";
    	SDPBSToolsList[0][1] = "Karate Chop"; SDPBSToolsList[1][1] = "からてチョップ";
    	SDPBSToolsList[0][2] = "Double Slap"; SDPBSToolsList[1][2] = "おうふくビンタ";
    	SDPBSToolsList[0][3] = "Comet Punch"; SDPBSToolsList[1][3] = "れんぞくパンチ";
    	SDPBSToolsList[0][4] = "Mega Punch"; SDPBSToolsList[1][4] = "メガトンパンチ";
    	SDPBSToolsList[0][5] = "Pay Day"; SDPBSToolsList[1][5] = "ネコにこばん";
    	SDPBSToolsList[0][6] = "Fire Punch"; SDPBSToolsList[1][6] = "ほのおのパンチ";
    	SDPBSToolsList[0][7] = "Ice Punch"; SDPBSToolsList[1][7] = "れいとうパンチ";
    	SDPBSToolsList[0][8] = "Thunder Punch"; SDPBSToolsList[1][8] = "かみなりパンチ";
    	SDPBSToolsList[0][9] = "Scratch"; SDPBSToolsList[1][9] = "ひっかく";
    	SDPBSToolsList[0][10] = "Vise Grip"; SDPBSToolsList[1][10] = "はさむ";
    	SDPBSToolsList[0][11] = "Guillotine"; SDPBSToolsList[1][11] = "ハサミギロチン";
    	SDPBSToolsList[0][12] = "Razor Wind"; SDPBSToolsList[1][12] = "かまいたち";
    	SDPBSToolsList[0][13] = "Swords Dance"; SDPBSToolsList[1][13] = "つるぎのまい";
    	SDPBSToolsList[0][14] = "Cut"; SDPBSToolsList[1][14] = "いあいぎり";
    	SDPBSToolsList[0][15] = "Gust"; SDPBSToolsList[1][15] = "かぜおこし";
    	SDPBSToolsList[0][16] = "Wing Attack"; SDPBSToolsList[1][16] = "つばさでうつ";
    	SDPBSToolsList[0][17] = "Whirlwind"; SDPBSToolsList[1][17] = "ふきとばし";
    	SDPBSToolsList[0][18] = "Fly"; SDPBSToolsList[1][18] = "そらをとぶ";
    	SDPBSToolsList[0][19] = "Bind"; SDPBSToolsList[1][19] = "しめつける";
    	SDPBSToolsList[0][20] = "Slam"; SDPBSToolsList[1][20] = "たたきつける";
    	SDPBSToolsList[0][21] = "Vine Whip"; SDPBSToolsList[1][21] = "つるのムチ";
    	SDPBSToolsList[0][22] = "Stomp"; SDPBSToolsList[1][22] = "ふみつけ";
    	SDPBSToolsList[0][23] = "Double Kick"; SDPBSToolsList[1][23] = "にどげり";
    	SDPBSToolsList[0][24] = "Mega Kick"; SDPBSToolsList[1][24] = "メガトンキック";
    	SDPBSToolsList[0][25] = "Jump Kick"; SDPBSToolsList[1][25] = "とびげり";
    	SDPBSToolsList[0][26] = "Rolling Kick"; SDPBSToolsList[1][26] = "まわしげり";
    	SDPBSToolsList[0][27] = "Sand Attack"; SDPBSToolsList[1][27] = "すなかけ";
    	SDPBSToolsList[0][28] = "Headbutt"; SDPBSToolsList[1][28] = "ずつき";
    	SDPBSToolsList[0][29] = "Horn Attack"; SDPBSToolsList[1][29] = "つのでつく";
    	SDPBSToolsList[0][30] = "Fury Attack"; SDPBSToolsList[1][30] = "みだれづき";
    	SDPBSToolsList[0][31] = "Horn Drill"; SDPBSToolsList[1][31] = "つのドリル";
    	SDPBSToolsList[0][32] = "Tackle"; SDPBSToolsList[1][32] = "たいあたり";
    	SDPBSToolsList[0][33] = "Body Slam"; SDPBSToolsList[1][33] = "のしかかり";
    	SDPBSToolsList[0][34] = "Wrap"; SDPBSToolsList[1][34] = "まきつく";
    	SDPBSToolsList[0][35] = "Take Down"; SDPBSToolsList[1][35] = "とっしん";
    	SDPBSToolsList[0][36] = "Thrash"; SDPBSToolsList[1][36] = "あばれる";
    	SDPBSToolsList[0][37] = "Double-Edge"; SDPBSToolsList[1][37] = "すてみタックル";
    	SDPBSToolsList[0][38] = "Tail Whip"; SDPBSToolsList[1][38] = "しっぽをふる";
    	SDPBSToolsList[0][39] = "Poison Sting"; SDPBSToolsList[1][39] = "どくばり";
    	SDPBSToolsList[0][40] = "Twineedle"; SDPBSToolsList[1][40] = "ダブルニードル";
    	SDPBSToolsList[0][41] = "Pin Missile"; SDPBSToolsList[1][41] = "ミサイルばり";
    	SDPBSToolsList[0][42] = "Leer"; SDPBSToolsList[1][42] = "にらみつける";
    	SDPBSToolsList[0][43] = "Bite"; SDPBSToolsList[1][43] = "かみつく";
    	SDPBSToolsList[0][44] = "Growl"; SDPBSToolsList[1][44] = "なきごえ";
    	SDPBSToolsList[0][45] = "Roar"; SDPBSToolsList[1][45] = "ほえる";
    	SDPBSToolsList[0][46] = "Sing"; SDPBSToolsList[1][46] = "うたう";
    	SDPBSToolsList[0][47] = "Supersonic"; SDPBSToolsList[1][47] = "ちょうおんぱ";
    	SDPBSToolsList[0][48] = "Sonic Boom"; SDPBSToolsList[1][48] = "ソニックブーム";
    	SDPBSToolsList[0][49] = "Disable"; SDPBSToolsList[1][49] = "かなしばり";
    	SDPBSToolsList[0][50] = "Acid"; SDPBSToolsList[1][50] = "ようかいえき";
    	SDPBSToolsList[0][51] = "Ember"; SDPBSToolsList[1][51] = "ひのこ";
    	SDPBSToolsList[0][52] = "Flamethrower"; SDPBSToolsList[1][52] = "かえんほうしゃ";
    	SDPBSToolsList[0][53] = "Mist"; SDPBSToolsList[1][53] = "しろいきり";
    	SDPBSToolsList[0][54] = "Water Gun"; SDPBSToolsList[1][54] = "みずでっぽう";
    	SDPBSToolsList[0][55] = "Hydro Pump"; SDPBSToolsList[1][55] = "ハイドロポンプ";
    	SDPBSToolsList[0][56] = "Surf"; SDPBSToolsList[1][56] = "なみのり";
    	SDPBSToolsList[0][57] = "Ice Beam"; SDPBSToolsList[1][57] = "れいとうビーム";
    	SDPBSToolsList[0][58] = "Blizzard"; SDPBSToolsList[1][58] = "ふぶき";
    	SDPBSToolsList[0][59] = "Psybeam"; SDPBSToolsList[1][59] = "サイケこうせん";
    	SDPBSToolsList[0][60] = "Bubble Beam"; SDPBSToolsList[1][60] = "バブルこうせん";
    	SDPBSToolsList[0][61] = "Aurora Beam"; SDPBSToolsList[1][61] = "オーロラビーム";
    	SDPBSToolsList[0][62] = "Hyper Beam"; SDPBSToolsList[1][62] = "はかいこうせん";
    	SDPBSToolsList[0][63] = "Peck"; SDPBSToolsList[1][63] = "つつく";
    	SDPBSToolsList[0][64] = "Drill Peck"; SDPBSToolsList[1][64] = "ドリルくちばし";
    	SDPBSToolsList[0][65] = "Submission"; SDPBSToolsList[1][65] = "じごくぐるま";
    	SDPBSToolsList[0][66] = "Low Kick"; SDPBSToolsList[1][66] = "けたぐり";
    	SDPBSToolsList[0][67] = "Counter"; SDPBSToolsList[1][67] = "カウンター";
    	SDPBSToolsList[0][68] = "Seismic Toss"; SDPBSToolsList[1][68] = "ちきゅうなげ";
    	SDPBSToolsList[0][69] = "Strength"; SDPBSToolsList[1][69] = "かいりき";
    	SDPBSToolsList[0][70] = "Absorb"; SDPBSToolsList[1][70] = "すいとる";
    	SDPBSToolsList[0][71] = "Mega Drain"; SDPBSToolsList[1][71] = "メガドレイン";
    	SDPBSToolsList[0][72] = "Leech Seed"; SDPBSToolsList[1][72] = "やどりぎのタネ";
    	SDPBSToolsList[0][73] = "Growth"; SDPBSToolsList[1][73] = "せいちょう";
    	SDPBSToolsList[0][74] = "Razor Leaf"; SDPBSToolsList[1][74] = "はっぱカッター";
    	SDPBSToolsList[0][75] = "Solar Beam"; SDPBSToolsList[1][75] = "ソーラービーム";
    	SDPBSToolsList[0][76] = "Poison Powder"; SDPBSToolsList[1][76] = "どくのこな";
    	SDPBSToolsList[0][77] = "Stun Spore"; SDPBSToolsList[1][77] = "しびれごな";
    	SDPBSToolsList[0][78] = "Sleep Powder"; SDPBSToolsList[1][78] = "ねむりごな";
    	SDPBSToolsList[0][79] = "Petal Dance"; SDPBSToolsList[1][79] = "はなびらのまい";
    	SDPBSToolsList[0][80] = "String Shot"; SDPBSToolsList[1][80] = "いとをはく";
    	SDPBSToolsList[0][81] = "Dragon Rage"; SDPBSToolsList[1][81] = "りゅうのいかり";
    	SDPBSToolsList[0][82] = "Fire Spin"; SDPBSToolsList[1][82] = "ほのおのうず";
    	SDPBSToolsList[0][83] = "Thunder Shock"; SDPBSToolsList[1][83] = "でんきショック";
    	SDPBSToolsList[0][84] = "Thunderbolt"; SDPBSToolsList[1][84] = "１０まんボルト";
    	SDPBSToolsList[0][85] = "Thunder Wave"; SDPBSToolsList[1][85] = "でんじは";
    	SDPBSToolsList[0][86] = "Thunder"; SDPBSToolsList[1][86] = "かみなり";
    	SDPBSToolsList[0][87] = "Rock Throw"; SDPBSToolsList[1][87] = "いわおとし";
    	SDPBSToolsList[0][88] = "Earthquake"; SDPBSToolsList[1][88] = "じしん";
    	SDPBSToolsList[0][89] = "Fissure"; SDPBSToolsList[1][89] = "じわれ";
    	SDPBSToolsList[0][90] = "Dig"; SDPBSToolsList[1][90] = "あなをほる";
    	SDPBSToolsList[0][91] = "Toxic"; SDPBSToolsList[1][91] = "どくどく";
    	SDPBSToolsList[0][92] = "Confusion"; SDPBSToolsList[1][92] = "ねんりき";
    	SDPBSToolsList[0][93] = "Psychic"; SDPBSToolsList[1][93] = "サイコキネシス";
    	SDPBSToolsList[0][94] = "Hypnosis"; SDPBSToolsList[1][94] = "さいみんじゅつ";
    	SDPBSToolsList[0][95] = "Meditate"; SDPBSToolsList[1][95] = "ヨガのポーズ";
    	SDPBSToolsList[0][96] = "Agility"; SDPBSToolsList[1][96] = "こうそくいどう";
    	SDPBSToolsList[0][97] = "Quick Attack"; SDPBSToolsList[1][97] = "でんこうせっか";
    	SDPBSToolsList[0][98] = "Rage"; SDPBSToolsList[1][98] = "いかり";
    	SDPBSToolsList[0][99] = "Teleport"; SDPBSToolsList[1][99] = "テレポート";
    	SDPBSToolsList[0][100] = "Night Shade"; SDPBSToolsList[1][100] = "ナイトヘッド";
    	SDPBSToolsList[0][101] = "Mimic"; SDPBSToolsList[1][101] = "ものまね";
    	SDPBSToolsList[0][102] = "Screech"; SDPBSToolsList[1][102] = "いやなおと";
    	SDPBSToolsList[0][103] = "Double Team"; SDPBSToolsList[1][103] = "かげぶんしん";
    	SDPBSToolsList[0][104] = "Recover"; SDPBSToolsList[1][104] = "じこさいせい";
    	SDPBSToolsList[0][105] = "Harden"; SDPBSToolsList[1][105] = "かたくなる";
    	SDPBSToolsList[0][106] = "Minimize"; SDPBSToolsList[1][106] = "ちいさくなる";
    	SDPBSToolsList[0][107] = "Smokescreen"; SDPBSToolsList[1][107] = "えんまく";
    	SDPBSToolsList[0][108] = "Confuse Ray"; SDPBSToolsList[1][108] = "あやしいひかり";
    	SDPBSToolsList[0][109] = "Withdraw"; SDPBSToolsList[1][109] = "からにこもる";
    	SDPBSToolsList[0][110] = "Defense Curl"; SDPBSToolsList[1][110] = "まるくなる";
    	SDPBSToolsList[0][111] = "Barrier"; SDPBSToolsList[1][111] = "バリアー";
    	SDPBSToolsList[0][112] = "Light Screen"; SDPBSToolsList[1][112] = "ひかりのかべ";
    	SDPBSToolsList[0][113] = "Haze"; SDPBSToolsList[1][113] = "くろいきり";
    	SDPBSToolsList[0][114] = "Reflect"; SDPBSToolsList[1][114] = "リフレクター";
    	SDPBSToolsList[0][115] = "Focus Energy"; SDPBSToolsList[1][115] = "きあいだめ";
    	SDPBSToolsList[0][116] = "Bide"; SDPBSToolsList[1][116] = "がまん";
    	SDPBSToolsList[0][117] = "Metronome"; SDPBSToolsList[1][117] = "ゆびをふる";
    	SDPBSToolsList[0][118] = "Mirror Move"; SDPBSToolsList[1][118] = "オウムがえし";
    	SDPBSToolsList[0][119] = "Self-Destruct"; SDPBSToolsList[1][119] = "じばく";
    	SDPBSToolsList[0][120] = "Egg Bomb"; SDPBSToolsList[1][120] = "タマゴばくだん";
    	SDPBSToolsList[0][121] = "Lick"; SDPBSToolsList[1][121] = "したでなめる";
    	SDPBSToolsList[0][122] = "Smog"; SDPBSToolsList[1][122] = "スモッグ";
    	SDPBSToolsList[0][123] = "Sludge"; SDPBSToolsList[1][123] = "ヘドロこうげき";
    	SDPBSToolsList[0][124] = "Bone Club"; SDPBSToolsList[1][124] = "ホネこんぼう";
    	SDPBSToolsList[0][125] = "Fire Blast"; SDPBSToolsList[1][125] = "だいもんじ";
    	SDPBSToolsList[0][126] = "Waterfall"; SDPBSToolsList[1][126] = "たきのぼり";
    	SDPBSToolsList[0][127] = "Clamp"; SDPBSToolsList[1][127] = "からではさむ";
    	SDPBSToolsList[0][128] = "Swift"; SDPBSToolsList[1][128] = "スピードスター";
    	SDPBSToolsList[0][129] = "Skull Bash"; SDPBSToolsList[1][129] = "ロケットずつき";
    	SDPBSToolsList[0][130] = "Spike Cannon"; SDPBSToolsList[1][130] = "とげキャノン";
    	SDPBSToolsList[0][131] = "Constrict"; SDPBSToolsList[1][131] = "からみつく";
    	SDPBSToolsList[0][132] = "Amnesia"; SDPBSToolsList[1][132] = "ドわすれ";
    	SDPBSToolsList[0][133] = "Kinesis"; SDPBSToolsList[1][133] = "スプーンまげ";
    	SDPBSToolsList[0][134] = "Soft-Boiled"; SDPBSToolsList[1][134] = "タマゴうみ";
    	SDPBSToolsList[0][135] = "High Jump Kick"; SDPBSToolsList[1][135] = "とびひざげり";
    	SDPBSToolsList[0][136] = "Glare"; SDPBSToolsList[1][136] = "へびにらみ";
    	SDPBSToolsList[0][137] = "Dream Eater"; SDPBSToolsList[1][137] = "ゆめくい";
    	SDPBSToolsList[0][138] = "Poison Gas"; SDPBSToolsList[1][138] = "どくガス";
    	SDPBSToolsList[0][139] = "Barrage"; SDPBSToolsList[1][139] = "たまなげ";
    	SDPBSToolsList[0][140] = "Leech Life"; SDPBSToolsList[1][140] = "きゅうけつ";
    	SDPBSToolsList[0][141] = "Lovely Kiss"; SDPBSToolsList[1][141] = "あくまのキッス";
    	SDPBSToolsList[0][142] = "Sky Attack"; SDPBSToolsList[1][142] = "ゴッドバード";
    	SDPBSToolsList[0][143] = "Transform"; SDPBSToolsList[1][143] = "へんしん";
    	SDPBSToolsList[0][144] = "Bubble"; SDPBSToolsList[1][144] = "あわ";
    	SDPBSToolsList[0][145] = "Dizzy Punch"; SDPBSToolsList[1][145] = "ピヨピヨパンチ";
    	SDPBSToolsList[0][146] = "Spore"; SDPBSToolsList[1][146] = "キノコのほうし";
    	SDPBSToolsList[0][147] = "Flash"; SDPBSToolsList[1][147] = "フラッシュ";
    	SDPBSToolsList[0][148] = "Psywave"; SDPBSToolsList[1][148] = "サイコウェーブ";
    	SDPBSToolsList[0][149] = "Splash"; SDPBSToolsList[1][149] = "はねる";
    	SDPBSToolsList[0][150] = "Acid Armor"; SDPBSToolsList[1][150] = "とける";
    	SDPBSToolsList[0][151] = "Crabhammer"; SDPBSToolsList[1][151] = "クラブハンマー";
    	SDPBSToolsList[0][152] = "Explosion"; SDPBSToolsList[1][152] = "だいばくはつ";
    	SDPBSToolsList[0][153] = "Fury Swipes"; SDPBSToolsList[1][153] = "みだれひっかき";
    	SDPBSToolsList[0][154] = "Bonemerang"; SDPBSToolsList[1][154] = "ホネブーメラン";
    	SDPBSToolsList[0][155] = "Rest"; SDPBSToolsList[1][155] = "ねむる";
    	SDPBSToolsList[0][156] = "Rock Slide"; SDPBSToolsList[1][156] = "いわなだれ";
    	SDPBSToolsList[0][157] = "Hyper Fang"; SDPBSToolsList[1][157] = "ひっさつまえば";
    	SDPBSToolsList[0][158] = "Sharpen"; SDPBSToolsList[1][158] = "かくばる";
    	SDPBSToolsList[0][159] = "Conversion"; SDPBSToolsList[1][159] = "テクスチャー";
    	SDPBSToolsList[0][160] = "Tri Attack"; SDPBSToolsList[1][160] = "トライアタック";
    	SDPBSToolsList[0][161] = "Super Fang"; SDPBSToolsList[1][161] = "いかりのまえば";
    	SDPBSToolsList[0][162] = "Slash"; SDPBSToolsList[1][162] = "きりさく";
    	SDPBSToolsList[0][163] = "Substitute"; SDPBSToolsList[1][163] = "みがわり";
    	SDPBSToolsList[0][164] = "Struggle"; SDPBSToolsList[1][164] = "わるあがき";
    	SDPBSToolsList[0][165] = "Sketch"; SDPBSToolsList[1][165] = "スケッチ";
    	SDPBSToolsList[0][166] = "Triple Kick"; SDPBSToolsList[1][166] = "トリプルキック";
    	SDPBSToolsList[0][167] = "Thief"; SDPBSToolsList[1][167] = "どろぼう";
    	SDPBSToolsList[0][168] = "Spider Web"; SDPBSToolsList[1][168] = "クモのす";
    	SDPBSToolsList[0][169] = "Mind Reader"; SDPBSToolsList[1][169] = "こころのめ";
    	SDPBSToolsList[0][170] = "Nightmare"; SDPBSToolsList[1][170] = "あくむ";
    	SDPBSToolsList[0][171] = "Flame Wheel"; SDPBSToolsList[1][171] = "かえんぐるま";
    	SDPBSToolsList[0][172] = "Snore"; SDPBSToolsList[1][172] = "いびき";
    	SDPBSToolsList[0][173] = "Curse"; SDPBSToolsList[1][173] = "のろい";
    	SDPBSToolsList[0][174] = "Flail"; SDPBSToolsList[1][174] = "じたばた";
    	SDPBSToolsList[0][175] = "Conversion 2"; SDPBSToolsList[1][175] = "テクスチャー２";
    	SDPBSToolsList[0][176] = "Aeroblast"; SDPBSToolsList[1][176] = "エアロブラスト";
    	SDPBSToolsList[0][177] = "Cotton Spore"; SDPBSToolsList[1][177] = "わたほうし";
    	SDPBSToolsList[0][178] = "Reversal"; SDPBSToolsList[1][178] = "きしかいせい";
    	SDPBSToolsList[0][179] = "Spite"; SDPBSToolsList[1][179] = "うらみ";
    	SDPBSToolsList[0][180] = "Powder Snow"; SDPBSToolsList[1][180] = "こなゆき";
    	SDPBSToolsList[0][181] = "Protect"; SDPBSToolsList[1][181] = "まもる";
    	SDPBSToolsList[0][182] = "Mach Punch"; SDPBSToolsList[1][182] = "マッハパンチ";
    	SDPBSToolsList[0][183] = "Scary Face"; SDPBSToolsList[1][183] = "こわいかお";
    	SDPBSToolsList[0][184] = "Feint Attack"; SDPBSToolsList[1][184] = "だましうち";
    	SDPBSToolsList[0][185] = "Sweet Kiss"; SDPBSToolsList[1][185] = "てんしのキッス";
    	SDPBSToolsList[0][186] = "Belly Drum"; SDPBSToolsList[1][186] = "はらだいこ";
    	SDPBSToolsList[0][187] = "Sludge Bomb"; SDPBSToolsList[1][187] = "ヘドロばくだん";
    	SDPBSToolsList[0][188] = "Mud-Slap"; SDPBSToolsList[1][188] = "どろかけ";
    	SDPBSToolsList[0][189] = "Octazooka"; SDPBSToolsList[1][189] = "オクタンほう";
    	SDPBSToolsList[0][190] = "Spikes"; SDPBSToolsList[1][190] = "まきびし";
    	SDPBSToolsList[0][191] = "Zap Cannon"; SDPBSToolsList[1][191] = "でんじほう";
    	SDPBSToolsList[0][192] = "Foresight"; SDPBSToolsList[1][192] = "みやぶる";
    	SDPBSToolsList[0][193] = "Destiny Bond"; SDPBSToolsList[1][193] = "みちづれ";
    	SDPBSToolsList[0][194] = "Perish Song"; SDPBSToolsList[1][194] = "ほろびのうた";
    	SDPBSToolsList[0][195] = "Icy Wind"; SDPBSToolsList[1][195] = "こごえるかぜ";
    	SDPBSToolsList[0][196] = "Detect"; SDPBSToolsList[1][196] = "みきり";
    	SDPBSToolsList[0][197] = "Bone Rush"; SDPBSToolsList[1][197] = "ボーンラッシュ";
    	SDPBSToolsList[0][198] = "Lock-On"; SDPBSToolsList[1][198] = "ロックオン";
    	SDPBSToolsList[0][199] = "Outrage"; SDPBSToolsList[1][199] = "げきりん";
    	SDPBSToolsList[0][200] = "Sandstorm"; SDPBSToolsList[1][200] = "すなあらし";
    	SDPBSToolsList[0][201] = "Giga Drain"; SDPBSToolsList[1][201] = "ギガドレイン";
    	SDPBSToolsList[0][202] = "Endure"; SDPBSToolsList[1][202] = "こらえる";
    	SDPBSToolsList[0][203] = "Charm"; SDPBSToolsList[1][203] = "あまえる";
    	SDPBSToolsList[0][204] = "Rollout"; SDPBSToolsList[1][204] = "ころがる";
    	SDPBSToolsList[0][205] = "False Swipe"; SDPBSToolsList[1][205] = "みねうち";
    	SDPBSToolsList[0][206] = "Swagger"; SDPBSToolsList[1][206] = "いばる";
    	SDPBSToolsList[0][207] = "Milk Drink"; SDPBSToolsList[1][207] = "ミルクのみ";
    	SDPBSToolsList[0][208] = "Spark"; SDPBSToolsList[1][208] = "スパーク";
    	SDPBSToolsList[0][209] = "Fury Cutter"; SDPBSToolsList[1][209] = "れんぞくぎり";
    	SDPBSToolsList[0][210] = "Steel Wing"; SDPBSToolsList[1][210] = "はがねのつばさ";
    	SDPBSToolsList[0][211] = "Mean Look"; SDPBSToolsList[1][211] = "くろいまなざし";
    	SDPBSToolsList[0][212] = "Attract"; SDPBSToolsList[1][212] = "メロメロ";
    	SDPBSToolsList[0][213] = "Sleep Talk"; SDPBSToolsList[1][213] = "ねごと";
    	SDPBSToolsList[0][214] = "Heal Bell"; SDPBSToolsList[1][214] = "いやしのすず";
    	SDPBSToolsList[0][215] = "Return"; SDPBSToolsList[1][215] = "おんがえし";
    	SDPBSToolsList[0][216] = "Present"; SDPBSToolsList[1][216] = "プレゼント";
    	SDPBSToolsList[0][217] = "Frustration"; SDPBSToolsList[1][217] = "やつあたり";
    	SDPBSToolsList[0][218] = "Safeguard"; SDPBSToolsList[1][218] = "しんぴのまもり";
    	SDPBSToolsList[0][219] = "Pain Split"; SDPBSToolsList[1][219] = "いたみわけ";
    	SDPBSToolsList[0][220] = "Sacred Fire"; SDPBSToolsList[1][220] = "せいなるほのお";
    	SDPBSToolsList[0][221] = "Magnitude"; SDPBSToolsList[1][221] = "マグニチュード";
    	SDPBSToolsList[0][222] = "Dynamic Punch"; SDPBSToolsList[1][222] = "ばくれつパンチ";
    	SDPBSToolsList[0][223] = "Megahorn"; SDPBSToolsList[1][223] = "メガホーン";
    	SDPBSToolsList[0][224] = "Dragon Breath"; SDPBSToolsList[1][224] = "りゅうのいぶき";
    	SDPBSToolsList[0][225] = "Baton Pass"; SDPBSToolsList[1][225] = "バトンタッチ";
    	SDPBSToolsList[0][226] = "Encore"; SDPBSToolsList[1][226] = "アンコール";
    	SDPBSToolsList[0][227] = "Pursuit"; SDPBSToolsList[1][227] = "おいうち";
    	SDPBSToolsList[0][228] = "Rapid Spin"; SDPBSToolsList[1][228] = "こうそくスピン";
    	SDPBSToolsList[0][229] = "Sweet Scent"; SDPBSToolsList[1][229] = "あまいかおり";
    	SDPBSToolsList[0][230] = "Iron Tail"; SDPBSToolsList[1][230] = "アイアンテール";
    	SDPBSToolsList[0][231] = "Metal Claw"; SDPBSToolsList[1][231] = "メタルクロー";
    	SDPBSToolsList[0][232] = "Vital Throw"; SDPBSToolsList[1][232] = "あてみなげ";
    	SDPBSToolsList[0][233] = "Morning Sun"; SDPBSToolsList[1][233] = "あさのひざし";
    	SDPBSToolsList[0][234] = "Synthesis"; SDPBSToolsList[1][234] = "こうごうせい";
    	SDPBSToolsList[0][235] = "Moonlight"; SDPBSToolsList[1][235] = "つきのひかり";
    	SDPBSToolsList[0][236] = "Hidden Power"; SDPBSToolsList[1][236] = "めざめるパワー";
    	SDPBSToolsList[0][237] = "Cross Chop"; SDPBSToolsList[1][237] = "クロスチョップ";
    	SDPBSToolsList[0][238] = "Twister"; SDPBSToolsList[1][238] = "たつまき";
    	SDPBSToolsList[0][239] = "Rain Dance"; SDPBSToolsList[1][239] = "あまごい";
    	SDPBSToolsList[0][240] = "Sunny Day"; SDPBSToolsList[1][240] = "にほんばれ";
    	SDPBSToolsList[0][241] = "Crunch"; SDPBSToolsList[1][241] = "かみくだく";
    	SDPBSToolsList[0][242] = "Mirror Coat"; SDPBSToolsList[1][242] = "ミラーコート";
    	SDPBSToolsList[0][243] = "Psych Up"; SDPBSToolsList[1][243] = "じこあんじ";
    	SDPBSToolsList[0][244] = "Extreme Speed"; SDPBSToolsList[1][244] = "しんそく";
    	SDPBSToolsList[0][245] = "Ancient Power"; SDPBSToolsList[1][245] = "げんしのちから";
    	SDPBSToolsList[0][246] = "Shadow Ball"; SDPBSToolsList[1][246] = "シャドーボール";
    	SDPBSToolsList[0][247] = "Future Sight"; SDPBSToolsList[1][247] = "みらいよち";
    	SDPBSToolsList[0][248] = "Rock Smash"; SDPBSToolsList[1][248] = "いわくだき";
    	SDPBSToolsList[0][249] = "Whirlpool"; SDPBSToolsList[1][249] = "うずしお";
    	SDPBSToolsList[0][250] = "Beat Up"; SDPBSToolsList[1][250] = "ふくろだたき";

    	for (int i = 0;i < 251; i++) {
    		SDPBSToolsMap.put(SDPBSToolsList[0][i],SDPBSToolsList[1][i]);
    		PBSToolsSDMap.put(SDPBSToolsList[1][i],SDPBSToolsList[0][i]);
    	}

    }

	/* PokemonShowdown!上の名前からPBSTools上の名前を取得するメソッド
	 *   引数　：PokemonShowdown!上の名前（String）
	 *   戻り値：PBSTools上の名前（String）
	 *   例外　：無し（技名に不正があっても例外を出さずに初期値採用で先に進む）
	 */
    public String SDToPBSTools(String inStr) {
    	String outStr;
    	outStr = SDPBSToolsMap.get(inStr);
    	if (outStr == null) {
    		if (inStr.length() > 12 && inStr.substring(0,12).equals("Hidden Power")) {
    			outStr = "めざめるパワー";
    		} else {
    			outStr = "技無し";
    		}
    	}
    	return outStr;
    }

	/* PokemonShowdown!上の名前からPBSTools上の名前を取得するメソッド
	 *   引数　：PokemonShowdown!上の名前（String）
	 *   戻り値：PBSTools上の名前（String）
	 *   例外　：無し（技名に不正があっても例外を出さずに初期値採用で先に進む）
	 */
    public String PBSToolsToSD(String inStr) {
    	String outStr;
    	outStr = PBSToolsSDMap.get(inStr);
    	if (outStr == null) {
    		outStr = "No Move";
    	}
    	return outStr;
    }

}
