package mold;

import java.util.HashMap;

/*
*  SD_PBSTools_SpeciesNamesクラス
*
*  種族について、PokemonShowdown!上での名前とPBSTools上での名前を相互変換するクラスです。
*
*  変更履歴
*  2021/07/03 新規作成
*
*/

public class SD_PBSTools_SpeciesNames {

	private String SDPBSToolsList[][] = new String[2][251];
	public HashMap<String, String> SDPBSToolsMap = new HashMap<String, String>();
	public HashMap<String, String> PBSToolsSDMap = new HashMap<String, String>();

	/* デフォルトコンストラクタ：HashMapの作成 */
    public SD_PBSTools_SpeciesNames() {

    	SDPBSToolsList[0][0] = "Bulbasaur"; SDPBSToolsList[1][0] = "フシギダネ";
    	SDPBSToolsList[0][1] = "Ivysaur"; SDPBSToolsList[1][1] = "フシギソウ";
    	SDPBSToolsList[0][2] = "Venusaur"; SDPBSToolsList[1][2] = "フシギバナ";
    	SDPBSToolsList[0][3] = "Charmander"; SDPBSToolsList[1][3] = "ヒトカゲ";
    	SDPBSToolsList[0][4] = "Charmeleon"; SDPBSToolsList[1][4] = "リザード";
    	SDPBSToolsList[0][5] = "Charizard"; SDPBSToolsList[1][5] = "リザードン";
    	SDPBSToolsList[0][6] = "Squirtle"; SDPBSToolsList[1][6] = "ゼニガメ";
    	SDPBSToolsList[0][7] = "Wartortle"; SDPBSToolsList[1][7] = "カメール";
    	SDPBSToolsList[0][8] = "Blastoise"; SDPBSToolsList[1][8] = "カメックス";
    	SDPBSToolsList[0][9] = "Caterpie"; SDPBSToolsList[1][9] = "キャタピー";
    	SDPBSToolsList[0][10] = "Metapod"; SDPBSToolsList[1][10] = "トランセル";
    	SDPBSToolsList[0][11] = "Butterfree"; SDPBSToolsList[1][11] = "バタフリー";
    	SDPBSToolsList[0][12] = "Weedle"; SDPBSToolsList[1][12] = "ビードル";
    	SDPBSToolsList[0][13] = "Kakuna"; SDPBSToolsList[1][13] = "コクーン";
    	SDPBSToolsList[0][14] = "Beedrill"; SDPBSToolsList[1][14] = "スピアー";
    	SDPBSToolsList[0][15] = "Pidgey"; SDPBSToolsList[1][15] = "ポッポ";
    	SDPBSToolsList[0][16] = "Pidgeotto"; SDPBSToolsList[1][16] = "ピジョン";
    	SDPBSToolsList[0][17] = "Pidgeot"; SDPBSToolsList[1][17] = "ピジョット";
    	SDPBSToolsList[0][18] = "Rattata"; SDPBSToolsList[1][18] = "コラッタ";
    	SDPBSToolsList[0][19] = "Raticate"; SDPBSToolsList[1][19] = "ラッタ";
    	SDPBSToolsList[0][20] = "Spearow"; SDPBSToolsList[1][20] = "オニスズメ";
    	SDPBSToolsList[0][21] = "Fearow"; SDPBSToolsList[1][21] = "オニドリル";
    	SDPBSToolsList[0][22] = "Ekans"; SDPBSToolsList[1][22] = "アーボ";
    	SDPBSToolsList[0][23] = "Arbok"; SDPBSToolsList[1][23] = "アーボック";
    	SDPBSToolsList[0][24] = "Pikachu"; SDPBSToolsList[1][24] = "ピカチュウ";
    	SDPBSToolsList[0][25] = "Raichu"; SDPBSToolsList[1][25] = "ライチュウ";
    	SDPBSToolsList[0][26] = "Sandshrew"; SDPBSToolsList[1][26] = "サンド";
    	SDPBSToolsList[0][27] = "Sandslash"; SDPBSToolsList[1][27] = "サンドパン";
    	SDPBSToolsList[0][28] = "Nidoran-F"; SDPBSToolsList[1][28] = "ニドラン♀";
    	SDPBSToolsList[0][29] = "Nidorina"; SDPBSToolsList[1][29] = "ニドリーナ";
    	SDPBSToolsList[0][30] = "Nidoqueen"; SDPBSToolsList[1][30] = "ニドクイン";
    	SDPBSToolsList[0][31] = "Nidoran-M"; SDPBSToolsList[1][31] = "ニドラン♂";
    	SDPBSToolsList[0][32] = "Nidorino"; SDPBSToolsList[1][32] = "ニドリーノ";
    	SDPBSToolsList[0][33] = "Nidoking"; SDPBSToolsList[1][33] = "ニドキング";
    	SDPBSToolsList[0][34] = "Clefairy"; SDPBSToolsList[1][34] = "ピッピ";
    	SDPBSToolsList[0][35] = "Clefable"; SDPBSToolsList[1][35] = "ピクシー";
    	SDPBSToolsList[0][36] = "Vulpix"; SDPBSToolsList[1][36] = "ロコン";
    	SDPBSToolsList[0][37] = "Ninetales"; SDPBSToolsList[1][37] = "キュウコン";
    	SDPBSToolsList[0][38] = "Jigglypuff"; SDPBSToolsList[1][38] = "プリン";
    	SDPBSToolsList[0][39] = "Wigglytuff"; SDPBSToolsList[1][39] = "プクリン";
    	SDPBSToolsList[0][40] = "Zubat"; SDPBSToolsList[1][40] = "ズバット";
    	SDPBSToolsList[0][41] = "Golbat"; SDPBSToolsList[1][41] = "ゴルバット";
    	SDPBSToolsList[0][42] = "Oddish"; SDPBSToolsList[1][42] = "ナゾノクサ";
    	SDPBSToolsList[0][43] = "Gloom"; SDPBSToolsList[1][43] = "クサイハナ";
    	SDPBSToolsList[0][44] = "Vileplume"; SDPBSToolsList[1][44] = "ラフレシア";
    	SDPBSToolsList[0][45] = "Paras"; SDPBSToolsList[1][45] = "パラス";
    	SDPBSToolsList[0][46] = "Parasect"; SDPBSToolsList[1][46] = "パラセクト";
    	SDPBSToolsList[0][47] = "Venonat"; SDPBSToolsList[1][47] = "コンパン";
    	SDPBSToolsList[0][48] = "Venomoth"; SDPBSToolsList[1][48] = "モルフォン";
    	SDPBSToolsList[0][49] = "Diglett"; SDPBSToolsList[1][49] = "ディグダ";
    	SDPBSToolsList[0][50] = "Dugtrio"; SDPBSToolsList[1][50] = "ダグトリオ";
    	SDPBSToolsList[0][51] = "Meowth"; SDPBSToolsList[1][51] = "ニャース";
    	SDPBSToolsList[0][52] = "Persian"; SDPBSToolsList[1][52] = "ペルシアン";
    	SDPBSToolsList[0][53] = "Psyduck"; SDPBSToolsList[1][53] = "コダック";
    	SDPBSToolsList[0][54] = "Golduck"; SDPBSToolsList[1][54] = "ゴルダック";
    	SDPBSToolsList[0][55] = "Mankey"; SDPBSToolsList[1][55] = "マンキー";
    	SDPBSToolsList[0][56] = "Primeape"; SDPBSToolsList[1][56] = "オコリザル";
    	SDPBSToolsList[0][57] = "Growlithe"; SDPBSToolsList[1][57] = "ガーディ";
    	SDPBSToolsList[0][58] = "Arcanine"; SDPBSToolsList[1][58] = "ウインディ";
    	SDPBSToolsList[0][59] = "Poliwag"; SDPBSToolsList[1][59] = "ニョロモ";
    	SDPBSToolsList[0][60] = "Poliwhirl"; SDPBSToolsList[1][60] = "ニョロゾ";
    	SDPBSToolsList[0][61] = "Poliwrath"; SDPBSToolsList[1][61] = "ニョロボン";
    	SDPBSToolsList[0][62] = "Abra"; SDPBSToolsList[1][62] = "ケーシィ";
    	SDPBSToolsList[0][63] = "Kadabra"; SDPBSToolsList[1][63] = "ユンゲラー";
    	SDPBSToolsList[0][64] = "Alakazam"; SDPBSToolsList[1][64] = "フーディン";
    	SDPBSToolsList[0][65] = "Machop"; SDPBSToolsList[1][65] = "ワンリキー";
    	SDPBSToolsList[0][66] = "Machoke"; SDPBSToolsList[1][66] = "ゴーリキー";
    	SDPBSToolsList[0][67] = "Machamp"; SDPBSToolsList[1][67] = "カイリキー";
    	SDPBSToolsList[0][68] = "Bellsprout"; SDPBSToolsList[1][68] = "マダツボミ";
    	SDPBSToolsList[0][69] = "Weepinbell"; SDPBSToolsList[1][69] = "ウツドン";
    	SDPBSToolsList[0][70] = "Victreebel"; SDPBSToolsList[1][70] = "ウツボット";
    	SDPBSToolsList[0][71] = "Tentacool"; SDPBSToolsList[1][71] = "メノクラゲ";
    	SDPBSToolsList[0][72] = "Tentacruel"; SDPBSToolsList[1][72] = "ドククラゲ";
    	SDPBSToolsList[0][73] = "Geodude"; SDPBSToolsList[1][73] = "イシツブテ";
    	SDPBSToolsList[0][74] = "Graveler"; SDPBSToolsList[1][74] = "ゴローン";
    	SDPBSToolsList[0][75] = "Golem"; SDPBSToolsList[1][75] = "ゴローニャ";
    	SDPBSToolsList[0][76] = "Ponyta"; SDPBSToolsList[1][76] = "ポニータ";
    	SDPBSToolsList[0][77] = "Rapidash"; SDPBSToolsList[1][77] = "ギャロップ";
    	SDPBSToolsList[0][78] = "Slowpoke"; SDPBSToolsList[1][78] = "ヤドン";
    	SDPBSToolsList[0][79] = "Slowbro"; SDPBSToolsList[1][79] = "ヤドラン";
    	SDPBSToolsList[0][80] = "Magnemite"; SDPBSToolsList[1][80] = "コイル";
    	SDPBSToolsList[0][81] = "Magneton"; SDPBSToolsList[1][81] = "レアコイル";
    	SDPBSToolsList[0][82] = "Farfetch’d"; SDPBSToolsList[1][82] = "カモネギ";
    	SDPBSToolsList[0][83] = "Doduo"; SDPBSToolsList[1][83] = "ドードー";
    	SDPBSToolsList[0][84] = "Dodrio"; SDPBSToolsList[1][84] = "ドードリオ";
    	SDPBSToolsList[0][85] = "Seel"; SDPBSToolsList[1][85] = "パウワウ";
    	SDPBSToolsList[0][86] = "Dewgong"; SDPBSToolsList[1][86] = "ジュゴン";
    	SDPBSToolsList[0][87] = "Grimer"; SDPBSToolsList[1][87] = "ベトベター";
    	SDPBSToolsList[0][88] = "Muk"; SDPBSToolsList[1][88] = "ベトベトン";
    	SDPBSToolsList[0][89] = "Shellder"; SDPBSToolsList[1][89] = "シェルダー";
    	SDPBSToolsList[0][90] = "Cloyster"; SDPBSToolsList[1][90] = "パルシェン";
    	SDPBSToolsList[0][91] = "Gastly"; SDPBSToolsList[1][91] = "ゴース";
    	SDPBSToolsList[0][92] = "Haunter"; SDPBSToolsList[1][92] = "ゴースト";
    	SDPBSToolsList[0][93] = "Gengar"; SDPBSToolsList[1][93] = "ゲンガー";
    	SDPBSToolsList[0][94] = "Onix"; SDPBSToolsList[1][94] = "イワーク";
    	SDPBSToolsList[0][95] = "Drowzee"; SDPBSToolsList[1][95] = "スリープ";
    	SDPBSToolsList[0][96] = "Hypno"; SDPBSToolsList[1][96] = "スリーパー";
    	SDPBSToolsList[0][97] = "Krabby"; SDPBSToolsList[1][97] = "クラブ";
    	SDPBSToolsList[0][98] = "Kingler"; SDPBSToolsList[1][98] = "キングラー";
    	SDPBSToolsList[0][99] = "Voltorb"; SDPBSToolsList[1][99] = "ビリリダマ";
    	SDPBSToolsList[0][100] = "Electrode"; SDPBSToolsList[1][100] = "マルマイン";
    	SDPBSToolsList[0][101] = "Exeggcute"; SDPBSToolsList[1][101] = "タマタマ";
    	SDPBSToolsList[0][102] = "Exeggutor"; SDPBSToolsList[1][102] = "ナッシー";
    	SDPBSToolsList[0][103] = "Cubone"; SDPBSToolsList[1][103] = "カラカラ";
    	SDPBSToolsList[0][104] = "Marowak"; SDPBSToolsList[1][104] = "ガラガラ";
    	SDPBSToolsList[0][105] = "Hitmonlee"; SDPBSToolsList[1][105] = "サワムラー";
    	SDPBSToolsList[0][106] = "Hitmonchan"; SDPBSToolsList[1][106] = "エビワラー";
    	SDPBSToolsList[0][107] = "Lickitung"; SDPBSToolsList[1][107] = "ベロリンガ";
    	SDPBSToolsList[0][108] = "Koffing"; SDPBSToolsList[1][108] = "ドガース";
    	SDPBSToolsList[0][109] = "Weezing"; SDPBSToolsList[1][109] = "マタドガス";
    	SDPBSToolsList[0][110] = "Rhyhorn"; SDPBSToolsList[1][110] = "サイホーン";
    	SDPBSToolsList[0][111] = "Rhydon"; SDPBSToolsList[1][111] = "サイドン";
    	SDPBSToolsList[0][112] = "Chansey"; SDPBSToolsList[1][112] = "ラッキー";
    	SDPBSToolsList[0][113] = "Tangela"; SDPBSToolsList[1][113] = "モンジャラ";
    	SDPBSToolsList[0][114] = "Kangaskhan"; SDPBSToolsList[1][114] = "ガルーラ";
    	SDPBSToolsList[0][115] = "Horsea"; SDPBSToolsList[1][115] = "タッツー";
    	SDPBSToolsList[0][116] = "Seadra"; SDPBSToolsList[1][116] = "シードラ";
    	SDPBSToolsList[0][117] = "Goldeen"; SDPBSToolsList[1][117] = "トサキント";
    	SDPBSToolsList[0][118] = "Seaking"; SDPBSToolsList[1][118] = "アズマオウ";
    	SDPBSToolsList[0][119] = "Staryu"; SDPBSToolsList[1][119] = "ヒトデマン";
    	SDPBSToolsList[0][120] = "Starmie"; SDPBSToolsList[1][120] = "スターミー";
    	SDPBSToolsList[0][121] = "Mr. Mime"; SDPBSToolsList[1][121] = "バリヤード";
    	SDPBSToolsList[0][122] = "Scyther"; SDPBSToolsList[1][122] = "ストライク";
    	SDPBSToolsList[0][123] = "Jynx"; SDPBSToolsList[1][123] = "ルージュラ";
    	SDPBSToolsList[0][124] = "Electabuzz"; SDPBSToolsList[1][124] = "エレブー";
    	SDPBSToolsList[0][125] = "Magmar"; SDPBSToolsList[1][125] = "ブーバー";
    	SDPBSToolsList[0][126] = "Pinsir"; SDPBSToolsList[1][126] = "カイロス";
    	SDPBSToolsList[0][127] = "Tauros"; SDPBSToolsList[1][127] = "ケンタロス";
    	SDPBSToolsList[0][128] = "Magikarp"; SDPBSToolsList[1][128] = "コイキング";
    	SDPBSToolsList[0][129] = "Gyarados"; SDPBSToolsList[1][129] = "ギャラドス";
    	SDPBSToolsList[0][130] = "Lapras"; SDPBSToolsList[1][130] = "ラプラス";
    	SDPBSToolsList[0][131] = "Ditto"; SDPBSToolsList[1][131] = "メタモン";
    	SDPBSToolsList[0][132] = "Eevee"; SDPBSToolsList[1][132] = "イーブイ";
    	SDPBSToolsList[0][133] = "Vaporeon"; SDPBSToolsList[1][133] = "シャワーズ";
    	SDPBSToolsList[0][134] = "Jolteon"; SDPBSToolsList[1][134] = "サンダース";
    	SDPBSToolsList[0][135] = "Flareon"; SDPBSToolsList[1][135] = "ブースター";
    	SDPBSToolsList[0][136] = "Porygon"; SDPBSToolsList[1][136] = "ポリゴン";
    	SDPBSToolsList[0][137] = "Omanyte"; SDPBSToolsList[1][137] = "オムナイト";
    	SDPBSToolsList[0][138] = "Omastar"; SDPBSToolsList[1][138] = "オムスター";
    	SDPBSToolsList[0][139] = "Kabuto"; SDPBSToolsList[1][139] = "カブト";
    	SDPBSToolsList[0][140] = "Kabutops"; SDPBSToolsList[1][140] = "カブトプス";
    	SDPBSToolsList[0][141] = "Aerodactyl"; SDPBSToolsList[1][141] = "プテラ";
    	SDPBSToolsList[0][142] = "Snorlax"; SDPBSToolsList[1][142] = "カビゴン";
    	SDPBSToolsList[0][143] = "Articuno"; SDPBSToolsList[1][143] = "フリーザー";
    	SDPBSToolsList[0][144] = "Zapdos"; SDPBSToolsList[1][144] = "サンダー";
    	SDPBSToolsList[0][145] = "Moltres"; SDPBSToolsList[1][145] = "ファイヤー";
    	SDPBSToolsList[0][146] = "Dratini"; SDPBSToolsList[1][146] = "ミニリュウ";
    	SDPBSToolsList[0][147] = "Dragonair"; SDPBSToolsList[1][147] = "ハクリュー";
    	SDPBSToolsList[0][148] = "Dragonite"; SDPBSToolsList[1][148] = "カイリュー";
    	SDPBSToolsList[0][149] = "Mewtwo"; SDPBSToolsList[1][149] = "ミュウツー";
    	SDPBSToolsList[0][150] = "Mew"; SDPBSToolsList[1][150] = "ミュウ";
    	SDPBSToolsList[0][151] = "Chikorita"; SDPBSToolsList[1][151] = "チコリータ";
    	SDPBSToolsList[0][152] = "Bayleef"; SDPBSToolsList[1][152] = "ベイリーフ";
    	SDPBSToolsList[0][153] = "Meganium"; SDPBSToolsList[1][153] = "メガニウム";
    	SDPBSToolsList[0][154] = "Cyndaquil"; SDPBSToolsList[1][154] = "ヒノアラシ";
    	SDPBSToolsList[0][155] = "Quilava"; SDPBSToolsList[1][155] = "マグマラシ";
    	SDPBSToolsList[0][156] = "Typhlosion"; SDPBSToolsList[1][156] = "バクフーン";
    	SDPBSToolsList[0][157] = "Totodile"; SDPBSToolsList[1][157] = "ワニノコ";
    	SDPBSToolsList[0][158] = "Croconaw"; SDPBSToolsList[1][158] = "アリゲイツ";
    	SDPBSToolsList[0][159] = "Feraligatr"; SDPBSToolsList[1][159] = "オーダイル";
    	SDPBSToolsList[0][160] = "Sentret"; SDPBSToolsList[1][160] = "オタチ";
    	SDPBSToolsList[0][161] = "Furret"; SDPBSToolsList[1][161] = "オオタチ";
    	SDPBSToolsList[0][162] = "Hoothoot"; SDPBSToolsList[1][162] = "ホーホー";
    	SDPBSToolsList[0][163] = "Noctowl"; SDPBSToolsList[1][163] = "ヨルノズク";
    	SDPBSToolsList[0][164] = "Ledyba"; SDPBSToolsList[1][164] = "レディバ";
    	SDPBSToolsList[0][165] = "Ledian"; SDPBSToolsList[1][165] = "レディアン";
    	SDPBSToolsList[0][166] = "Spinarak"; SDPBSToolsList[1][166] = "イトマル";
    	SDPBSToolsList[0][167] = "Ariados"; SDPBSToolsList[1][167] = "アリアドス";
    	SDPBSToolsList[0][168] = "Crobat"; SDPBSToolsList[1][168] = "クロバット";
    	SDPBSToolsList[0][169] = "Chinchou"; SDPBSToolsList[1][169] = "チョンチー";
    	SDPBSToolsList[0][170] = "Lanturn"; SDPBSToolsList[1][170] = "ランターン";
    	SDPBSToolsList[0][171] = "Pichu"; SDPBSToolsList[1][171] = "ピチュー";
    	SDPBSToolsList[0][172] = "Cleffa"; SDPBSToolsList[1][172] = "ピィ";
    	SDPBSToolsList[0][173] = "Igglybuff"; SDPBSToolsList[1][173] = "ププリン";
    	SDPBSToolsList[0][174] = "Togepi"; SDPBSToolsList[1][174] = "トゲピー";
    	SDPBSToolsList[0][175] = "Togetic"; SDPBSToolsList[1][175] = "トゲチック";
    	SDPBSToolsList[0][176] = "Natu"; SDPBSToolsList[1][176] = "ネイティ";
    	SDPBSToolsList[0][177] = "Xatu"; SDPBSToolsList[1][177] = "ネイティオ";
    	SDPBSToolsList[0][178] = "Mareep"; SDPBSToolsList[1][178] = "メリープ";
    	SDPBSToolsList[0][179] = "Flaaffy"; SDPBSToolsList[1][179] = "モココ";
    	SDPBSToolsList[0][180] = "Ampharos"; SDPBSToolsList[1][180] = "デンリュウ";
    	SDPBSToolsList[0][181] = "Bellossom"; SDPBSToolsList[1][181] = "キレイハナ";
    	SDPBSToolsList[0][182] = "Marill"; SDPBSToolsList[1][182] = "マリル";
    	SDPBSToolsList[0][183] = "Azumarill"; SDPBSToolsList[1][183] = "マリルリ";
    	SDPBSToolsList[0][184] = "Sudowoodo"; SDPBSToolsList[1][184] = "ウソッキー";
    	SDPBSToolsList[0][185] = "Politoed"; SDPBSToolsList[1][185] = "ニョロトノ";
    	SDPBSToolsList[0][186] = "Hoppip"; SDPBSToolsList[1][186] = "ハネッコ";
    	SDPBSToolsList[0][187] = "Skiploom"; SDPBSToolsList[1][187] = "ポポッコ";
    	SDPBSToolsList[0][188] = "Jumpluff"; SDPBSToolsList[1][188] = "ワタッコ";
    	SDPBSToolsList[0][189] = "Aipom"; SDPBSToolsList[1][189] = "エイパム";
    	SDPBSToolsList[0][190] = "Sunkern"; SDPBSToolsList[1][190] = "ヒマナッツ";
    	SDPBSToolsList[0][191] = "Sunflora"; SDPBSToolsList[1][191] = "キマワリ";
    	SDPBSToolsList[0][192] = "Yanma"; SDPBSToolsList[1][192] = "ヤンヤンマ";
    	SDPBSToolsList[0][193] = "Wooper"; SDPBSToolsList[1][193] = "ウパー";
    	SDPBSToolsList[0][194] = "Quagsire"; SDPBSToolsList[1][194] = "ヌオー";
    	SDPBSToolsList[0][195] = "Espeon"; SDPBSToolsList[1][195] = "エーフィ";
    	SDPBSToolsList[0][196] = "Umbreon"; SDPBSToolsList[1][196] = "ブラッキー";
    	SDPBSToolsList[0][197] = "Murkrow"; SDPBSToolsList[1][197] = "ヤミカラス";
    	SDPBSToolsList[0][198] = "Slowking"; SDPBSToolsList[1][198] = "ヤドキング";
    	SDPBSToolsList[0][199] = "Misdreavus"; SDPBSToolsList[1][199] = "ムウマ";
    	SDPBSToolsList[0][200] = "Unown"; SDPBSToolsList[1][200] = "アンノーン";
    	SDPBSToolsList[0][201] = "Wobbuffet"; SDPBSToolsList[1][201] = "ソーナンス";
    	SDPBSToolsList[0][202] = "Girafarig"; SDPBSToolsList[1][202] = "キリンリキ";
    	SDPBSToolsList[0][203] = "Pineco"; SDPBSToolsList[1][203] = "クヌギダマ";
    	SDPBSToolsList[0][204] = "Forretress"; SDPBSToolsList[1][204] = "フォレトス";
    	SDPBSToolsList[0][205] = "Dunsparce"; SDPBSToolsList[1][205] = "ノコッチ";
    	SDPBSToolsList[0][206] = "Gligar"; SDPBSToolsList[1][206] = "グライガー";
    	SDPBSToolsList[0][207] = "Steelix"; SDPBSToolsList[1][207] = "ハガネール";
    	SDPBSToolsList[0][208] = "Snubbull"; SDPBSToolsList[1][208] = "ブルー";
    	SDPBSToolsList[0][209] = "Granbull"; SDPBSToolsList[1][209] = "グランブル";
    	SDPBSToolsList[0][210] = "Qwilfish"; SDPBSToolsList[1][210] = "ハリーセン";
    	SDPBSToolsList[0][211] = "Scizor"; SDPBSToolsList[1][211] = "ハッサム";
    	SDPBSToolsList[0][212] = "Shuckle"; SDPBSToolsList[1][212] = "ツボツボ";
    	SDPBSToolsList[0][213] = "Heracross"; SDPBSToolsList[1][213] = "ヘラクロス";
    	SDPBSToolsList[0][214] = "Sneasel"; SDPBSToolsList[1][214] = "ニューラ";
    	SDPBSToolsList[0][215] = "Teddiursa"; SDPBSToolsList[1][215] = "ヒメグマ";
    	SDPBSToolsList[0][216] = "Ursaring"; SDPBSToolsList[1][216] = "リングマ";
    	SDPBSToolsList[0][217] = "Slugma"; SDPBSToolsList[1][217] = "マグマッグ";
    	SDPBSToolsList[0][218] = "Magcargo"; SDPBSToolsList[1][218] = "マグカルゴ";
    	SDPBSToolsList[0][219] = "Swinub"; SDPBSToolsList[1][219] = "ウリムー";
    	SDPBSToolsList[0][220] = "Piloswine"; SDPBSToolsList[1][220] = "イノムー";
    	SDPBSToolsList[0][221] = "Corsola"; SDPBSToolsList[1][221] = "サニーゴ";
    	SDPBSToolsList[0][222] = "Remoraid"; SDPBSToolsList[1][222] = "テッポウオ";
    	SDPBSToolsList[0][223] = "Octillery"; SDPBSToolsList[1][223] = "オクタン";
    	SDPBSToolsList[0][224] = "Delibird"; SDPBSToolsList[1][224] = "デリバード";
    	SDPBSToolsList[0][225] = "Mantine"; SDPBSToolsList[1][225] = "マンタイン";
    	SDPBSToolsList[0][226] = "Skarmory"; SDPBSToolsList[1][226] = "エアームド";
    	SDPBSToolsList[0][227] = "Houndour"; SDPBSToolsList[1][227] = "デルビル";
    	SDPBSToolsList[0][228] = "Houndoom"; SDPBSToolsList[1][228] = "ヘルガー";
    	SDPBSToolsList[0][229] = "Kingdra"; SDPBSToolsList[1][229] = "キングドラ";
    	SDPBSToolsList[0][230] = "Phanpy"; SDPBSToolsList[1][230] = "ゴマゾウ";
    	SDPBSToolsList[0][231] = "Donphan"; SDPBSToolsList[1][231] = "ドンファン";
    	SDPBSToolsList[0][232] = "Porygon2"; SDPBSToolsList[1][232] = "ポリゴン２";
    	SDPBSToolsList[0][233] = "Stantler"; SDPBSToolsList[1][233] = "オドシシ";
    	SDPBSToolsList[0][234] = "Smeargle"; SDPBSToolsList[1][234] = "ドーブル";
    	SDPBSToolsList[0][235] = "Tyrogue"; SDPBSToolsList[1][235] = "バルキー";
    	SDPBSToolsList[0][236] = "Hitmontop"; SDPBSToolsList[1][236] = "カポエラー";
    	SDPBSToolsList[0][237] = "Smoochum"; SDPBSToolsList[1][237] = "ムチュール";
    	SDPBSToolsList[0][238] = "Elekid"; SDPBSToolsList[1][238] = "エレキッド";
    	SDPBSToolsList[0][239] = "Magby"; SDPBSToolsList[1][239] = "ブビィ";
    	SDPBSToolsList[0][240] = "Miltank"; SDPBSToolsList[1][240] = "ミルタンク";
    	SDPBSToolsList[0][241] = "Blissey"; SDPBSToolsList[1][241] = "ハピナス";
    	SDPBSToolsList[0][242] = "Raikou"; SDPBSToolsList[1][242] = "ライコウ";
    	SDPBSToolsList[0][243] = "Entei"; SDPBSToolsList[1][243] = "エンテイ";
    	SDPBSToolsList[0][244] = "Suicune"; SDPBSToolsList[1][244] = "スイクン";
    	SDPBSToolsList[0][245] = "Larvitar"; SDPBSToolsList[1][245] = "ヨーギラス";
    	SDPBSToolsList[0][246] = "Pupitar"; SDPBSToolsList[1][246] = "サナギラス";
    	SDPBSToolsList[0][247] = "Tyranitar"; SDPBSToolsList[1][247] = "バンギラス";
    	SDPBSToolsList[0][248] = "Lugia"; SDPBSToolsList[1][248] = "ルギア";
    	SDPBSToolsList[0][249] = "Ho-Oh"; SDPBSToolsList[1][249] = "ホウオウ";
    	SDPBSToolsList[0][250] = "Celebi"; SDPBSToolsList[1][250] = "セレビィ";

    	for (int i = 0;i < 251; i++) {
    		SDPBSToolsMap.put(SDPBSToolsList[0][i],SDPBSToolsList[1][i]);
    		PBSToolsSDMap.put(SDPBSToolsList[1][i],SDPBSToolsList[0][i]);
    	}

    }

	/* PokemonShowdown!上の名前からPBSTools上の名前を取得するメソッド
	 *   引数　：PokemonShowdown!上の名前（String）
	 *   戻り値：PBSTools上の名前（String）
	 *   例外　：無し（種族名に不正があっても例外を出さずに初期値採用で先に進む）
	 */
    public String SDToPBSTools(String inStr) {
    	String outStr;
    	outStr = SDPBSToolsMap.get(inStr);
    	if (outStr == null) {
    		outStr = "けつばん";
    	}
    	return outStr;
    }

	/* PokemonShowdown!上の名前からPBSTools上の名前を取得するメソッド
	 *   引数　：PokemonShowdown!上の名前（String）
	 *   戻り値：PBSTools上の名前（String）
	 *   例外　：無し（種族名に不正があっても例外を出さずに初期値採用で先に進む）
	 */
    public String PBSToolsToSD(String inStr) {
    	String outStr;
    	outStr = PBSToolsSDMap.get(inStr);
    	if (outStr == null) {
    		outStr = "MissingNo.";
    	}
    	return outStr;
    }

}
