package validation;

import java.util.HashSet;
import java.util.Set;

import mold.PokeMold;

/*
*  ItemClauseCheckクラス
*
*  持ち物存在・持ち物重複無しをチェックするクラスです。
*
*  変更履歴
*  2021/05/15 新規作成
*
*/

public class ItemClauseCheck {

	/* 持ち物重複無しをチェックするメソッド
	 *   引数　：PokeMold配列（要素数1～6）、ValidationMessageStoreオブジェクト
	 *   戻り値：無し
	 *   例外　：無し
	 */
    public void execute(PokeMold[] pokeMoldArray, ValidationMessageStore validationMessageStore) {

    	// 持ち物存在確認用のPokeMoldオブジェクト生成
    	PokeMold pokeMoldChecker = new PokeMold();

    	// 持ち物を保持するHashSetを定義
    	Set<String> itemSet = new HashSet<String>();

    	// 持ち物存在・持ち物重複無し確認
    	int i = 0;
    	while(i < 6 && pokeMoldArray[i] != null){
    		// 持ち物存在確認（想定している使い方をしているならこれに引っかかることはない）
    		pokeMoldChecker.itemName = pokeMoldArray[i].itemName;
    		pokeMoldChecker.itemCheck();
    		if (!pokeMoldChecker.itemName.equals(pokeMoldArray[i].itemName)) {
    			validationMessageStore.errorMessagesList.add("・" + pokeMoldArray[i].itemName + "は存在しない持ち物です。");
    		} else {
    			if (!pokeMoldChecker.itemName.equals("持ち物無し")) {
    				if (itemSet.contains(pokeMoldChecker.itemName)) {
    					validationMessageStore.errorMessagesList.add("・" + pokeMoldChecker.itemName + "が重複しています。");
    				} else {
    					itemSet.add(pokeMoldChecker.itemName);
    				}
    			}
    		}
    		i++;
    	}

    }

}
