package validation;

import mold.PokeMold;

/*
*  SpeciesIsolatedCheckクラス
*
*  不正な種族が入力されていないことや種族に重複がないことをチェックするクラスです。
*
*  変更履歴
*  2021/05/15 新規作成
*
*/

public class SpeciesIsolatedCheck {

	/* 種族の妥当性をチェックするメソッド
	 *   引数　：PokeMold配列（要素数1～6）、ValidationMessageStoreオブジェクト、SpeciesSJISSorterオブジェクト
	 *   戻り値：無し
	 *   例外　：無し
	 */
    public void execute(PokeMold[] pokeMoldArray, ValidationMessageStore validationMessageStore, SpeciesSJISSorter speciesSJISSorter) {

    	int i = 0;
    	int j = 0;
    	String[] speciesNameTmpList = {null,null,null,null,null,null};
    	String[] speciesNameSortedList = new String[6];

    	// 種族の存在確認
    	while(i < 6 && pokeMoldArray[i] != null){
    		int speciesSortOrder = speciesSJISSorter.comparator.getSortOrder(pokeMoldArray[i].speciesName);
    		if (speciesSortOrder == 65535) {
    			int displayNumber = i + 1;
    			validationMessageStore.errorMessagesList.add("・" + displayNumber + "番目に存在しない種族が入力されています（全角文字で入力して下さい）。");
    		} else {
    			speciesNameTmpList[j] = pokeMoldArray[i].speciesName;
    			j++;
    		}
    		i++;
    	}

    	// 種族の重複確認
    	speciesNameSortedList = speciesSJISSorter.execute(speciesNameTmpList);
    	i = 1;
    	for (; i < 6; i++) {
    		if (speciesNameSortedList[i] != null) {
        		if (speciesNameSortedList[i].equals(speciesNameSortedList[i-1])) {
        			validationMessageStore.errorMessagesList.add("・" + speciesNameSortedList[i] + "が重複しています。");
        		}
        	}
    	}

    	return;

    }

}
